import React from 'react';
import omit from '../components/rc-util/omit';
import { FormProvider as RcFormProvider } from '../components/rc-field-form';
export var FormProvider = function FormProvider(props) {
  var providerProps = omit(props, ['prefixCls']);
  return /*#__PURE__*/React.createElement(RcFormProvider, Object.assign({}, providerProps));
};
export var FormContext = /*#__PURE__*/React.createContext({// labelAlign: 'right',
  // vertical: false,
  // itemRef: (() => {}) as any,
});
export var FormItemContext = /*#__PURE__*/React.createContext({
  updateItemErrors: function updateItemErrors() {}
});
export var FormItemPrefixContext = /*#__PURE__*/React.createContext({
  prefixCls: ''
});